Bug 5614 - Add sections/headings to Patron system preferences tab
Summary: Add sections/headings to Patron system preferences tab
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Josef Moravec
URL: cgi-bin/koha/admin/preferences.pl?tab...
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-13 00:09 UTC by Nicole C. Engard
Modified: 2020-05-16 16:36 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
This enhancement organizes the patron system preferences into sections. This makes them easier to find, instead of being one long unorganized list.
Version(s) released in:
20.05.00


Attachments
Bug 5614: Organize 'patron' system preferences (22.03 KB, patch)
2020-04-13 04:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 5614: Organize 'patron' system preferences (22.08 KB, patch)
2020-04-21 02:34 UTC, David Nind
Details | Diff | Splinter Review
Bug 5614: Organize 'patron' system preferences (22.13 KB, patch)
2020-04-21 15:18 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-01-13 00:09:51 UTC
All other preference tabs have categories (unless they only have 1 or 2 prefs). The patrons tab should also be broken into categories for easy navigation.
Comment 1 David Cook 2013-03-04 22:25:09 UTC
This could certainly be useful. Serials might also benefit from a categorization of the system preferences...
Comment 2 Katrin Fischer 2014-11-02 10:12:38 UTC
Still valid.
Comment 3 Katrin Fischer 2020-04-13 04:13:56 UTC
Created attachment 102798 [details] [review]
Bug 5614: Organize 'patron' system preferences

Until now, there was only "General" and "Privacy". This patch
breaks the "General" prefs up into multiple sections.

To test:
- Go to Administration > Patrons
- Verify the current state of things
- Apply patch
- Reload patch
- Verify headings make sense and groups make sense as well
Comment 4 Katrin Fischer 2020-04-13 04:14:20 UTC
A really old bug - worked out a first suggestion. Comments welcome!
Comment 5 David Nind 2020-04-21 02:34:15 UTC
Created attachment 103321 [details] [review]
Bug 5614: Organize 'patron' system preferences

Until now, there was only "General" and "Privacy". This patch
breaks the "General" prefs up into multiple sections.

To test:
- Go to Administration > Patrons
- Verify the current state of things
- Apply patch
- Reload patch
- Verify headings make sense and groups make sense as well

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 David Nind 2020-04-21 02:41:02 UTC
(In reply to Katrin Fischer from comment #4)
> A really old bug - worked out a first suggestion. Comments welcome!

This is so much easier to browse and read, rather than such a long list of system preferences!

I'm sure others may have some suggestions and refinements for the system preferences left under general, but I think it is a great improvement as is.
Comment 7 Katrin Fischer 2020-04-21 06:14:13 UTC
Thank you!
Comment 8 Josef Moravec 2020-04-21 15:18:15 UTC
Created attachment 103384 [details] [review]
Bug 5614: Organize 'patron' system preferences

Until now, there was only "General" and "Privacy". This patch
breaks the "General" prefs up into multiple sections.

To test:
- Go to Administration > Patrons
- Verify the current state of things
- Apply patch
- Reload patch
- Verify headings make sense and groups make sense as well

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 9 Josef Moravec 2020-04-21 15:19:01 UTC
Great job Katrin, 

does make sense to me
Comment 10 Katrin Fischer 2020-04-21 19:08:12 UTC
Thank you, Josef, and nice to read you!
Comment 11 Martin Renvoize 2020-04-22 12:44:35 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 12 Joy Nelson 2020-05-08 19:43:01 UTC
enhancement not backported to 19.11.x